Form öğesi gönderimlerini dışa aktar
curl --request POST \
--url https://app.azalt.co/api/v1/form-element-submissions/export \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"formIds": [
"<string>"
],
"siteIds": [
"<string>"
],
"years": [
123
],
"includeParentSiteName": false,
"includeEmptyRows": true,
"includeElementName": false,
"includeFormName": false,
"includeUnits": false,
"includeMetadata": false,
"includeElementId": false,
"format": "csv"
}
'import requests
url = "https://app.azalt.co/api/v1/form-element-submissions/export"
payload = {
"formIds": ["<string>"],
"siteIds": ["<string>"],
"years": [123],
"includeParentSiteName": False,
"includeEmptyRows": True,
"includeElementName": False,
"includeFormName": False,
"includeUnits": False,
"includeMetadata": False,
"includeElementId": False,
"format": "csv"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
formIds: ['<string>'],
siteIds: ['<string>'],
years: [123],
includeParentSiteName: false,
includeEmptyRows: true,
includeElementName: false,
includeFormName: false,
includeUnits: false,
includeMetadata: false,
includeElementId: false,
format: 'csv'
})
};
fetch('https://app.azalt.co/api/v1/form-element-submissions/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": "<string>",
"filename": "<string>",
"mimeType": "<string>"
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}FormElementSubmission
Form öğesi gönderimlerini dışa aktar
Form öğesi gönderimlerini raporlama ve analiz için dışa aktarır.
Özellikler:
- Birden fazla form öğesi ve gönderimi tek seferde dışa aktarılır
- CSV, Excel gibi formatlar desteklenir
- Tarih aralığı, tesis ve form bazlı filtreler uygulanabilir
- Veri dış sistemlerde kullanım için yapılandırılmış döner
TIMESTAMP desteği:
recordedAtsütunu bulunur; TIMESTAMP öğeleri için her satır ayrı bir zaman damgasıyla gelirincludeEmptyRows=trueolsa bile TIMESTAMP öğeleri için boş satır üretilmez
Örnek CSV satırı:
siteName,year,key,periodUnit,value,recordedAt
Toplu rapor üretimi, veri migrasyonu veya BI araçlarına aktarım için uygundur.
POST
/
form-element-submissions
/
export
Form öğesi gönderimlerini dışa aktar
Yetkilendirmeler
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Gövde
application/json
Minimum array length:
1Mevcut seçenekler:
csv, xlsx ⌘I

